Alokai

SapccApiGetCustomerCouponsRequest

Request parameters for getCustomerCoupons operation in SapccApi. SapccApiGetCustomerCouponsRequest

interface SapccApiGetCustomerCouponsRequest {
	readonly baseSiteId: string;
	readonly currentPage?: number;
	readonly fields?: string;
	readonly needsTotal?: GetCustomerCouponsNeedsTotalEnum;
	readonly pageSize?: number;
	readonly sort?: string;
	readonly userId: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier {string} SapccApiGetCustomerCoupons
currentPageOptionalnumberCurrent result page. Default value is 0. {number} SapccApiGetCustomerCoupons
fieldsOptionalstringResponse configuration. This is the list of fields that should be returned in the response body. Examples: BASIC,DEFAULT,FULL {string} SapccApiGetCustomerCoupons
needsTotalOptionalGetCustomerCouponsNeedsTotalEnumFlag to indicate if the total number of results is needed or not. {'true' | 'false'} SapccApiGetCustomerCoupons
pageSizeOptionalnumberThe number of results returned per page. {number} SapccApiGetCustomerCoupons
sortOptionalstringSorting method applied to the return results. {string} SapccApiGetCustomerCoupons
userIdRequiredstringUser identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user {string} SapccApiGetCustomerCoupons

Referenced Types

On this page